#!/bin/ksh

#  process exole Data
# bc05_pscfv1 c22jan2008
# bc05_pscfv2 c10jun2008
# bc06_pscfv2 c12jun2008
# bc06_pscfv3 c24mar2009
# bc06_pscfv3_noMB c22feb2010

 USER_PATH=/ei/area/data/userin_files
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/EPS3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 run_type=exole
 gscenario=by06_pscfv3_noMB

#for county_switch in 8co no8co
 for county_switch in 8co
  do

 case $county_switch in
  '8co')    county_group=hgb_8co ;;
  'no8co')  county_group=no_hgb_8co ;;
 esac

 scenario=${gscenario}_${county_group}

 grid=eus_36km
#grid=hg_02km

 tmprof_xref=tmprl.xref.tx_negu_v15b
 tmprof=tmprl.profs.tx_negu_v15b

 ugrid=$grid

 if [[ $grid = eus_36km ]]; then
  case $run_type in
   'tx')      ugrid=${grid}_tx ;;
   'si')      ugrid=${grid}_egu ;;
   'exole')   ugrid=${grid}_exole_${county_group} ;;
   'tx_ard')  ugrid=${grid}_egu ;;
   'tx_egu')  ugrid=${grid}_egu ;;
   'tx_osd')  ugrid=${grid}_tx ;;
   'la')      ugrid=${grid}_la ;;
   'reg')     ugrid=$grid ;;
   'os')      ugrid=${grid}_os ;;
   'mex')     ugrid=${grid}_mex ;;
  esac
 fi

 for spec in cb05
  do

# 'cb4')      fac_v=2000v15b2.pt.all ;;
# 'cb4')      fac_v=2005v3a_2004v4d.pt.all ;;
 case $spec in
  'cb4')  fac_v=may2005si ;;
  'cb05') fac_v=2006exole ;;
  's99')  fac_v=2000v15c.pt.all ;;
 esac

 splitfac=`get_file "/ei/point/speciation/emscvt/output_${spec}/splitfac.$spec.$fac_v.*"`
#               2006exole.09Mar24 ;;

 chmprof_xref_path=/ei/point/stars/2006/data/emscvt_inputs
 chmprof_xref=$chmprof_xref_path/xref.voc.eps3f.stars_2006_vXA_GB.pt.FACILITY

 for yymmdd in \
  060801 \

 do

 afsin=afs.$yymmdd.$run_type.${gscenario}.${county_group}

 echo
 echo "today  yymmdd  grid scenario afsin ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/chmspl/$run_type
  run.chmspl.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario 'prepnt'

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 done
done
done
exit
