#!/bin/ksh

# 
#  process Acid Rain Data
#   bc = basecase = day specific
#   bl = baseline = generic
# bc05a c21mar2007 - john jarvie new speciation and marvin lcp
#  c29mar2007 - no zeros and metric fix
#  c05apr2007 - start july episode
#  c10apr2007 - re-run sas extend episode (try cb05)
#  c23apr2007 - run cb4 for may05 episode
#  c13jul2007 - start cb05
# bc05b c26oct2007 - new afs
# bline05c c19aug2008 - baseline
# reg_ard_fy18a_noCAIR.sh c14nov2008
# reg_ard_fy18b_CAIR.sh c10dec2008

 USER_PATH=/ei/area/data/userin_files
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/EPS3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 run_type=reg_ard
 afs_type=fy18b_CAIR
 scenario=${run_type}_${afs_type}

 grid=eus_36km

 tmprof_xref=tmprl.xref.tx_negu_v15b
 tmprof=tmprl.profs.tx_negu_v15b

 ugrid=$grid

 if [[ $grid = eus_36km ]]; then
  case $run_type in
   'tx')      ugrid=${grid}_tx ;;
   'tx_ard')  ugrid=${grid}_egu ;;
   'tx_egu')  ugrid=${grid}_egu ;;
   'tx_osd')  ugrid=${grid}_tx ;;
   'la')      ugrid=${grid}_la ;;
   'ar_ard')  ugrid=${grid}_ar_egu ;;
   'la_ard')  ugrid=${grid}_la_egu ;;
   'ok_ard')  ugrid=${grid}_ok_egu ;;
   'reg')     ugrid=$grid ;;
   'reg_ard') ugrid=${grid}_reg_ard ;;
   'os')      ugrid=${grid}_os ;;
   'mex')     ugrid=${grid}_mex ;;
  esac
 fi

 for spec in cb05
  do

 case $spec in
  'cb05') fac_v=2005v4a.pt.all.etha ;;
 esac

 splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.$fac_v.*"`
#splitfac=/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.2000v15b2.pt.all.23Sep05
 chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v4a.pt.all.*"`
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v3a_2004v4d.pt.all.*"`

 for yymmdd in \
  050801 \

 do

 afsin=afs.$yymmdd.$run_type.${afs_type}

 echo
 echo "today  yymmdd  grid scenario afsin ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/chmspl/$run_type
  run.chmspl.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario 'prepnt'

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 done
done
exit

#tmprof=tmprl_prof.hgmcr_pt_la_tmprlfix
#tmprof_xref=tmprl_xref.pt_collapsed_la.eps3

#oscenario=${run_type}_${scenario}
#gr=`echo $run_type | cut -c1-2`
