#!/bin/ksh

# 
#   by = basecase = day specific
#   bl = baseline = generic
# bc05a=base case 2005 c. 08feb2006
#       01mar2006 - new Marvin afs (lots more records) plus lcp correction
#       20mar2006 - new Marvin afs ?
#  reg_osd is all except "all" TX and "all reg" ard
# bc05a=base case 2005 c. 08feb2006
# bc05b c29oct2007 Marvin afs c25jun2007
# bc05c c08nov2007 Marvin afs c07nov2007 - more 2005 action
# fy18a c12nov2007 Barry afs c09nov2007 negu + egu outside of TX
#       c13nov2007 fixed afs for leading 00 and missing sccs
# fy18b c14nov2008 CENRAP negus

 USER_PATH=/ei/area/data/userin_files
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/EPS3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 run_type=reg_osd
 base=fy18b_CENRAPnegus

#for state in ar la ok
 for state in    la
  do

 scenario=${state}_osd_${base}

 grid=hg_02km #(la only)
#grid=reg_12km
#grid=eus_36km

 tmprof_xref=tmprl.xref.tx_negu_v15b
 tmprof=tmprl.profs.tx_negu_v15b

 ugrid=${grid}_${state}

#if [[ $grid = eus_36km ]]; then
# case $run_type in
#  'la')      ugrid=${grid}_la ;;
#  'reg_osd') ugrid=${grid}_no_arlaoktx ;;
#  'reg')     ugrid=$grid ;;
# esac
#fi

#if [[ $grid = reg_12km ]]; then
# case $run_type in
#  'la')      ugrid=${grid}_la ;;
#  'reg_osd') ugrid=${grid}_no_arlaoktx ;;
#  'reg')     ugrid=$grid ;;
# esac
#fi

 for spec in cb05
  do

 case $spec in
  'cb4') fac_v=2005v3a_2004v4d.pt.all ;;
 'cb05') fac_v=2005v4a.pt.all.etha ;;
  's99') fac_v=2000v15c.pt.all ;;
 esac

 splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.$fac_v.*"`

 chmprof_xref=/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v4a.pt.add_2018rpo.12Nov07
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v4a.pt.all.*"`

 for yymmdd in \
  050622
 do

 afsin=afs.reg_osd.${base}.${state}
#afsin=afs.avg2005ar_egu_0901_2kOSDv3_000901_nonzero.CI0012D.lcp

 echo
 echo "today  yymmdd  grid scenario afsin ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/chmspl/$run_type
  run.chmspl.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario 'prepnt'

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/grdem/$run_type
  run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

if [ "$grid" = eus_36km ]
  then
 echo $grid
 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
fi

 done
 done
done
exit

#tmprof=tmprl_prof.hgmcr_pt_la_tmprlfix
#tmprof_xref=tmprl_xref.pt_collapsed_la.eps3

#oscenario=${run_type}_${scenario}
#gr=`echo $run_type | cut -c1-2`

