#!/bin/ksh
#
#  process 2006 Acid Rain Data
#   bc = basecase = day specific
#   bl = baseline = generic
# fy18b_MECT c14jul2008 - new afs split into hgb 8co
#            c22jul2008 - MECT n HECT fixes
#            c01aug2008 - big fix
# fy18c_CAIR c11sep2008 - new afs
# fy18d_CAIR c05jun2009 - new afs
# fy18e_CAIR c17nov2009 - new afs
# fy18f_CAIR c20nov2009 - new afs for new DERCs
# fy18g_CAIR c04dec2009 - new afs

  version=fy18g_CAIR

 USER_PATH=/ei/area/data/userin_files
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/EPS3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 run_type=tx_ard

 for county_switch in no8co
  do

 case $county_switch in
  '8co')    county_group=hgb_8co ;;
  'no8co')  county_group=no_hgb_8co ;;
 esac

 scenario=tx_ard_${version}_${county_group}

 grid=eus_36km

 tmprof_xref=tmprl.xref.tx_negu_v15b
 tmprof=tmprl.profs.tx_negu_v15b

 ugrid=${grid}_egu_${county_group}
#ugrid=${grid}_egu

 for spec in cb05
  do

#case $spec in
# 'cb4')  fac_v=2005v3a_2004v4d.pt.all ;;
# 'cb05') fac_v=2005v4a.pt.all.etha ;;
# 's99')  fac_v=2000v15c.pt.all ;;
#esac

 splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.cb05.2006v4bHc.pt.all.etha.04Mar0*"`
#splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.$fac_v.*"`
#splitfac=/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.2000v15b2.pt.all.23Sep05

 chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2006v4bHc.pt.all.04Mar09.FACILITY.09Jun*"`
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v4a.pt.all.*"`
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v3a_2004v4d.pt.all.*"`
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2000v15c.pt.all.*"`
#chmprof_xref=$AREA_PATH/eus_36km/chmspl/emscvt/xref.voc.eps3f.2000v2.pt.all.29Aug2005


# 050701 \
 for yymmdd in \
  060801 \

 do

 afsin=afs.$yymmdd.tx_ard.${version}.${county_group}

 echo
 echo "today  yymmdd  grid scenario afsin ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/chmspl/$run_type
  run.chmspl.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario 'prepnt'

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 done
 done
done
exit

# case $grid in
#  'hg_02km')  ugrid=${grid}_${county_switch} ;;
#  'hg_04km')  ugrid=${grid}_${county_switch} ;;
# esac

#if [[ $grid = eus_36km ]]; then
# case $run_type in
#  'tx')      ugrid=${grid}_tx ;;
#  'tx_ard')  ugrid=${grid}_egu ;;
#  'tx_egu')  ugrid=${grid}_egu ;;
#  'tx_osd')  ugrid=${grid}_tx ;;
#  'la')      ugrid=${grid}_la ;;
#  'reg')     ugrid=$grid ;;
#  'os')      ugrid=${grid}_os ;;
#  'mex')     ugrid=${grid}_mex ;;
# esac
#fi

#tmprof=tmprl_prof.hgmcr_pt_la_tmprlfix
#tmprof_xref=tmprl_xref.pt_collapsed_la.eps3

#oscenario=${run_type}_${scenario}
#gr=`echo $run_type | cut -c1-2`

#cd  $PT_PATH/grdem/$run_type
# run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

##cd  $PT_PATH/tracking/
## run.track_eps.eps3  $today $yymmdd  $grid  $scenario

#cd  $PT_PATH/pigset/$run_type
# run.pigset.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario
